var ShaderUtils = {
    shaderPrograms: {   },

    setShader: function(sprite, vertName, fragName) {
        // var glProgram = this.shaderPrograms[shaderName];
        // if (!glProgram) {
            var glProgram = new cc.GLProgram();
            var vert = require(cc.js.formatStr("%s.vert", vertName));
            var frag = require(cc.js.formatStr("%s.frag", fragName));
            glProgram.initWithString(vert, frag);
            if (!cc.sys.isNative) {
                glProgram.initWithVertexShaderByteArray(vert, frag);
                glProgram.addAttribute(cc.macro.ATTRIBUTE_NAME_POSITION, cc.macro.VERTEX_ATTRIB_POSITION);
                glProgram.addAttribute(cc.macro.ATTRIBUTE_NAME_COLOR, cc.macro.VERTEX_ATTRIB_COLOR);
                glProgram.addAttribute(cc.macro.ATTRIBUTE_NAME_TEX_COORD, cc.macro.VERTEX_ATTRIB_TEX_COORDS);
            }
            glProgram.link();
            glProgram.updateUniforms();
            // this.shaderPrograms[shaderName] = glProgram;
        // }
        sprite._sgNode.setShaderProgram(glProgram);
        var g1 = cc._renderContext;

        var a_position = g1.getAttribLocation( glProgram._programObj, 'a_position' )
        var a_texCoord = g1.getAttribLocation( glProgram._programObj, 'a_texCoord' )
        console.log( 'a_position', a_position )
        console.log( 'a_texCoord', a_texCoord )
        return glProgram;
    },
};

module.exports = ShaderUtils;
