module.exports =
`
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;
varying vec4 v_fragmentColor; 
varying vec2 v_texCoord; 
uniform float _Strength;
void main() 
{ 
	float width = 222.;//纹理宽度
	float startX = -width/2.;
	float currAngle = ( ( a_position.x - startX )/width )*20.;
	float ty = sin( currAngle );

	gl_Position = CC_PMatrix*vec4(  a_position.x, a_position.y+ty*100. , a_position.z, 1.0 );
	v_texCoord = a_texCoord;
}
`
